# Class TemplateHelpers

Allow to register and return template helpers (essentially: Utility functions that can be executed in the context of a template to render complex elements).

## Index

### Methods

- getHelper
- getHelpers
- registerTemplateHelper

## Methods

### Static getHelper

- getHelper(name: string): ITemplateHelperFunction

- - Defined in ui/Templates/TemplateHelpers.ts :49

  Return a template helper function

  #### Parameters

  - ##### name: string

  #### Returns ITemplateHelperFunction

### Static getHelpers

- getHelpers(): object

- - Defined in ui/Templates/TemplateHelpers.ts :56

  Get all available helpers

  #### Returns object

  - ##### [templateName: string]: ITemplateHelperFunction

### Static registerTemplateHelper

- registerTemplateHelper(name: string, helper: ITemplateHelperFunction): void

- - Defined in ui/Templates/TemplateHelpers.ts :36

  Register a new helper in the framework, that will be available inside all templates execution context.

  #### Parameters

  - ##### name: string

  - ##### helper: ITemplateHelperFunction

  #### Returns void

### Hierarchy

- TemplateHelpers